package com.ningdatech.pmapi.projectlib.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Classname ProjectAnnualAccumulateAmountVO
 * @Description
 * @Date 2023/2/17 10:49
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectAnnualAccumulateAmountVO", description = "项目年度累积投资资金VO")
public class ProjectAnnualAccumulateAmountVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("年份")
    private Integer projectYear;

    @ApiModelProperty("年度投资金额")
    private BigDecimal annualAccumulateAmount;

    private Long createBy;
    private Long updateBy;
}
