package com.ningdatech.pmapi.projectlib.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Classname ProjectAnnualAccumulateAmountSaveDTO
 * @Description
 * @Date 2023/2/17 10:49
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "ProjectAnnualAccumulateAmountSaveDTO", description = "项目年度累积投资资金保存")
public class ProjectAnnualAccumulateAmountSaveDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("项目ID")
    @NotNull
    private Long projectId;

    @NotNull
    @ApiModelProperty("年份")
    private Integer projectYear;

    @NotNull
    @ApiModelProperty("年度投资金额")
    private BigDecimal annualAccumulateAmount;
}
